# Deferring Payments

Hyp allows merchants to defer payments, delaying the charge by a specified number of months. Deferred payments are commonly used for promotions, travel packages, and high-value goods.

Deferred payments can also be combined with [installments](/creditguard/payment-page-integration/installments.md), where the first installment is charged after the deferral period. For example, a customer may pay in 10 installments, starting three months after the purchase date.

To implement deferred payments, make a standard [payment page request](/creditguard/payment-page-integration/integrating-hyps-payment-page-and-accepting-payment.md), but include the following inside the `doDeal` element of your request:

```xml
<ashraitEmvData>
    <deferMonths>3</deferMonths>
</ashraitEmvData>
```

The `deferMonths` element specifies the number of months to defer the payment. The value must be between 1 and 99, with an optional leading zero for values less than 10.

Apart from adding the elements shown above, the payment page flow is exactly the same as for a standard, non-deferred payment.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hyp.co.il/creditguard/payment-page-integration/deferring-payments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
